Bug 113227 - FILESAVE: PPT: bullets disappear after RT
Summary: FILESAVE: PPT: bullets disappear after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0 target:5.4.3
Keywords: bibisected, bisected, filter:ppt, regression
Depends on:
Blocks: PPT
  Show dependency treegraph
 
Reported: 2017-10-18 15:25 UTC by Xisco Faulí
Modified: 2017-11-07 14:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document (149.00 KB, application/vnd.ms-powerpoint)
2017-10-18 15:25 UTC, Xisco Faulí
Details
another document affected (536.50 KB, application/vnd.ms-powerpoint)
2017-10-18 22:34 UTC, Xisco Faulí
Details
comparison MSO 2010 and LibreOffice 6.0 (141.48 KB, image/png)
2017-10-18 22:35 UTC, Xisco Faulí
Details
sample with normal bullets (35.61 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-10-18 22:47 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-10-18 15:25:54 UTC
Created attachment 137078 [details]
sample document

Steps to reproduce:
1. Open attached document
2. Save it as .PPT
3. Reopen the new document

Observed behaviour: Star bullets are gone

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 04d70c0999c716f5465631eca50945915ec607c4
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-10-18 15:27:34 UTC
Regression introduced by:

author	Noel Grandin <noel.grandin@collabora.co.uk>	2017-03-02 12:24:47 (GMT)
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2017-03-03 06:45:05 (GMT)
commit	afa675469cd9894f41a6b9eeb2e7acc8245d256c (patch)
tree	ce8bcab207aef1534298b2369accc4ada5597b08
parent	f091259ad2ec1590714645839668580cd7b8c7c4 (diff)
use SvxExtNumType in SvxNumberType
and follow the rabbit trail, fixing various other types in the process

Bisected with: bibisect-linux-64-5.4

Adding Cc: to Noel Grandin
Comment 2 Xisco Faulí 2017-10-18 22:34:59 UTC
Created attachment 137086 [details]
another document affected
Comment 3 Xisco Faulí 2017-10-18 22:35:43 UTC
Created attachment 137087 [details]
comparison MSO 2010 and LibreOffice 6.0
Comment 4 Xisco Faulí 2017-10-18 22:47:01 UTC
Created attachment 137088 [details]
sample with normal bullets

It happens with normal bullets as well
Comment 5 Commit Notification 2017-10-24 09:28:54 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f99767d532dbe2741cb9cccf26db3547cc5e14df

tdf#113227 FILESAVE: PPT: bullets disappear after RT

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-10-24 12:07:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba0909f83e65ec953ba517f09c06053709fbb523&h=libreoffice-5-4

tdf#113227 FILESAVE: PPT: bullets disappear after RT

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2017-10-29 20:52:54 UTC
Verified in

Version: 6.0.0.0.alpha1+
Build ID: fc4f2f1b0f8c286e9ae259c44fb249261a8ac47f
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Noel Grandin, please close this issue as RESOLVED FIXED once your work is done
here.
Comment 8 Commit Notification 2017-11-02 20:48:57 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=208f2b1b30934fa36140260a22fc8c3977eb5a85&h=libreoffice-5-4-3

tdf#113227 FILESAVE: PPT: bullets disappear after RT

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.